B.1	NCSA ImageTool

Errors and Warnings	B.1

National Center for Supercomputing Applications

January 1991

                                                                


January 1991




Appendix  B	Errors and Warnings




Overview
This appendix describes the meaning of many of NCSA 
ImageTool's error numbers and warning messages, as well as 
some operation system errors. Instructions to correct specific 
problems are included.


NCSA ImageTool Error Messages

Error, warning, and status messages appear in the message panel. 
The panel numbers actions or their results from 1 to 20, then begins 
again at 1. The scroll bar to the left of the panel lets you move 
forward and backward through the entries. 

Table 3.1 lists errors that can be easily corrected in most 
instances.


Table B.1	Error Numbers, 
Meanings, and 
Corrections
Error Number	Meaning and Correction

	2	Filename is missing from the NCSA 
		ImageTool control panel. Enter a character 
		string in the Image text field (click the 
		mouse next to the text item "Image" and type 
		the string).

	3	The file was not found when NCSA 	
		ImageTool tried to load it. Check to see if 
		you typed in the correct filename or you are 
		using the correct working directory.

	4	Filename is ambiguous. This happens 
		when you have *, ?, or other wildcard 
		characters in the name string that represent 
		more than one file in the current working 
		directory. Therefore, check the filename.

	5	Image dimensions are missing. Enter 
		integers on the text items Xdim and Ydim on 
		the NCSA ImageTool control panel.

Table B.1	Error Numbers, 
Meaning, and 
Correction (Cont'd)
Error Number	Meaning and Correction

	6	Image dimensions are larger than the full 
		screen size of 1150 x 900 pixels.

	7	Error in opening a file to read. If you are 
		running on a networked disked disk, this 
		could occur if files are not found or there is a 
		file server problem 

	8	Error in opening a file to write. Check the 
		permission levels for the file and directory 
		to which you are writing.
	9	SunView lib call memcreate() failed. The 
		system could be out of memory.

	10	UNIX call malloc() or calloc() failed.

	11	Error in reading a file.

	12	Error in writing a file. Check the directory 
		permissions.

	13	Negative input for logarithmic functions. 
		Make sure your input is positive when you 
		use logarithmic scaled computations.
 
	14	UNIX library call tempnam() failed (that 
		is, the system cannot create a tmp file in 
		/usr/tmp). This is due to a space problem.

	15	SunView call textswstorefile() failed 
		(cannot write the content of the text window 
		to a disk file). Check the disk space.

	16	UNIX call chdir() failed. Check the 
		directory pathname.

	17	Syntax error with a UNIX  name string.

	18	No FTP connection when selecting the Get 
		Loop option. Select Connect from the FTP 
		menu first.

	19	Unknown strings in the default file 	
		.imagetool_defaults. Use the Set 
		defaults option from the Option menu to 
		set up the default file.

	20	Unknown font. NCSA ImageTool could not 
		find the specific font in 		
		/usr/lib/fonts/fixedwidthfonts.


NCSA ImageTool Warning Messages

Warnings are not catastrophic failures, but the warnings in Table 
B.2 indicate a situation that may require attention.


Table B.2	Warning Numbers 
and Descriptions
Warning Number	Description

	25	Fewer bytes read from an image file. Either 
		you have opened a bad image file or 	
		specified the wrong dimensions.

	26	Fewer bytes than specified written to a file. 
		The system may be out of disk space.

	27	The raster format selected is not supported 
		in the current version.

	28 	The expansion factors are missing, and you 
		have selected Expand from the Zoom menu. 
		You must provide two integer expansion 
		factors in the pop-up dialog box. The default 
		factors are set to 1 x 1.

	29	The default file is missing. If you do not 
		have a default file, .imagetool_defaults, 
		in your home directory, NCSA ImageTool 
		assumes the current directory is the default. 
		NCSA ImageTool contains the images, 
		palettes, and help files. You may select Set 
		defaults from the Options menu to 
		change the defaults.


SunView and Operating System Errors

Operating system errors (Table B.3) indicate problems in 
operating NCSA ImageTool or Suntool. These errors are not easily 
recoverable, and may require the assistance of a system 
administrator.

Table B.3	SunView and 
Operating System 
Errors
Number	Cause and Solution

	9	SunView library call memcreate() failed. The 
		system memory could be depleted.

	10	A UNIX memory allocation call, 		
		malloc() or calloc(), failed. Virtual memory 
		space may be depleted.

	11	An error occurred while the system was 	
		reading a file. This should never happen. It could 
		be caused by a system problem.

	12	An error occurred while the system was	
		writing a file. You may have run out of disk space 
		on the volume to which you were writing.

	14	The UNIX library call tempnam() failed. Space 
		could not be allocated in the /usr/tmp directory. 
		Check the available disk space on the /usr disk.

	15	The SunView call textswstorefile() failed. 
		The textswstorefile() call attempts to store the 
		contents of a text window to a file. If this call fails, 
		you may have run out of disk space.

	20	NCSA ImageTool could not find the font it uses in 
		the directory 
		/usr/lib/ fonts/fixedwidthfonts.


Numerical Problems

	13	The input value for a logarithmic function was 
		negative. Make sure that input to a logarithmic 
		scaling function is positive.


