/*
******************************************************************************
*					           NCSA ImageTool 1.1 beta
*						   Thu Sep 20 16:58:25 CDT 1990
* 
* NCSA ImageTool 1.1 beta source code and documentation are in the public
* domain.
* Specifically, we give to the public domain all rights for future licensing
* of the source code, all resale rights, and all publishing rights.
* 
* We ask, but do not require, that the following message be included in all
* derived works:
* 
* Portions developed at the National Center for Supercomputing Applications at
* the University of Illinois at Urbana-Champaign.
* 
* THE UNIVERSITY OF ILLINOIS GIVES NO WARRANTY, EXPRESSED OR IMPLIED, FOR THE
* SOFTWARE AND/OR DOCUMENTATION PROVIDED, INCLUDING, WITHOUT LIMITATION,
* WARRANTY OF MERCHANTABILITY AND WARRANTY OF FITNESS FOR A PARTICULAR PURPOSE
* 
******************************************************************************
*/
/* cat > headers/define.h << "EOF" */
/* ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
/* define.h: definitions for ImageTool 1.1		*/
/* ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
/* SCCS information: %W%	%G% */

/* external variables */

	Pixwin *pw;

	Frame base;
	Frame help_window;
	Frame plot_window, scale_box;

	Panel menu_panel; 
	Panel panel;

	Panel_item Image, Palette, Edit, Zoom, Graph, Ftp, Help, Option;
	Panel_item image_board;
	Panel_item store_but,show_but,delete_but, flush_but;
	Panel_item pause_but,next_but,last_but,inc_but,dec_but;
	Panel_item dir_board, pal_board, var_board;
	Panel_item xdim_item, ydim_item;
	Panel_item image_item, pal_item, help_item;
	Panel_item roll_item, pitch_item, yaw_item;
	Panel_item title_item, level_item;

	Menu edit_menu;
	Menu help_menu;
	Menu image_menu;
	Menu ani_sub_menu, load_menu, save_menu;
	Menu pal_menu, zoom_menu, graph_menu;
	Menu ftp_menu, option_menu;

	Canvas pcanvas;
	Canvas canvas;

	Textsw textsw;

	Tty ttysw;

	int startx, starty;
	int clear_request, pos_picked;
	int square_drawn, line_drawn;
	int first_point, middle_button_down, first_middle_down, is_moving;
	int copy_request, paste_request;
	int color_edit_mode;
	int gminexp, gmaxexp, pintv, ntix;
	int linear_scaling, graph_mode;
	int last_dir, has_xscale, has_yscale;
	int color_index;
	int animation_go;
	int rev_image;
	int pause_request, nseq, repeat_index;
	int getloop_go;
	int dark_bg, main_quit;

	bool oblique = FALSE;
	float stats_xmin, stats_xmax, stats_ymin, stats_ymax;
	float stats_gmin, stats_gmax;
	float last_xscale, last_yscale;
	float scalez;
	float pitch_angle = 0, yaw_angle = 0, roll_angle = 0;

	double zform00, zform01, zform10, zform11;

	char msgstr[MAXNAMELEN];
	char help_dir[MAXNAMELEN];
	char saver_name[MAXNAMELEN];
	char current_dir[MAXNAMELEN], default_cdir[MAXNAMELEN]; 
	char printer[MAXNAMELEN];
	char cmsname[20];

	char **fn;
	
	struct line_rec line_rec;
	struct square_rec square;
	struct clipbd_type clipboard;
	struct image_rec curr_image;
	struct image_rec curr_movie;
	
/* ~~~~~~~~~~~~~~~~~~~~ 1.1 additions ~~~~~~~~~~~~~~~~~~~~ */

	Textsw msgsw;
	Panel_item save_toggle;
	Pixfont *font_panel_button, *font_panel, *font_menu;
	char wkstr[2*MAXNAMELEN], wkstr2[2*MAXNAMELEN];

	Menu stack_menu, show_menu;
	Panel_item store_but_msg, show_but_msg, delete_but_msg;

	Frame path_frame;
	Panel path_panel;
	Panel_item path_return_but, path_cancel_but;

	struct pixrect *image[MAXFRAMES];
	struct image_rec var_table[MAXTABLE+1];

	Frame def_box;
	Panel def_panel;
	Menu printer_menu;

	Panel dialog_panel;
	Panel_item text_item;

/* EOF */
