/*
******************************************************************************
*					           NCSA ImageTool 1.1 beta
*						   Thu Sep 20 16:58:25 CDT 1990
* 
* NCSA ImageTool 1.1 beta source code and documentation are in the public
* domain.
* Specifically, we give to the public domain all rights for future licensing
* of the source code, all resale rights, and all publishing rights.
* 
* We ask, but do not require, that the following message be included in all
* derived works:
* 
* Portions developed at the National Center for Supercomputing Applications at
* the University of Illinois at Urbana-Champaign.
* 
* THE UNIVERSITY OF ILLINOIS GIVES NO WARRANTY, EXPRESSED OR IMPLIED, FOR THE
* SOFTWARE AND/OR DOCUMENTATION PROVIDED, INCLUDING, WITHOUT LIMITATION,
* WARRANTY OF MERCHANTABILITY AND WARRANTY OF FITNESS FOR A PARTICULAR PURPOSE
* 
******************************************************************************
*/
/* cat > headers/extfunc.h << "EOF" */
/* ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
/* extfunc.h: extern function declarations for		*/
/*	      ImageTool 1.1				*/
/* ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
/* SCCS information: %W%	%G% */

/* functions */

		/* main.c */
	extern int main();
	extern int colorsetup();
	extern Panel_setting dir_board_proc(); 
	extern int change_dir();
	extern int quit();
	extern int main_cleanup();
	extern int cancel();
	extern int clear();
	extern int erase_last();
	extern int erase_all();
	extern int reset_pos();
	extern char * get_selection(); 
	 
		/* canvas.c */
	extern int can_controller ();
	extern int inarea ();
	extern int get_square ();
	extern int coor_adjust ();
	extern int draw_square ();
	extern int pick_position ();
	extern int draw_line ();
	extern int create_edit_menu ();
	extern bool display_panel_menu (); 	/* changed from display_menu */
	extern int edit_handler ();
	extern void edit_proc (); 
	extern int load_clipboard ();
	extern int move_image ();
	extern int box_drawing ();
	 
		/* dialog.c */
	extern int mydialog ();
	extern Frame init_dialog (); 
#if ! defined image2_h
	extern int ok_cancel ();
#endif
	extern Panel_setting dialog_proc (); 
	 
		/* draw.c */
	extern void draw_hline(); 
	extern int draw_init();
	extern void draw_done(); 
	extern void intersect(); 
	 
		/* help.c */
	extern int create_help_menu();
	extern void help_proc(); 
	extern int help_handler();
	extern int read_help_file();
	/* static void reset_text(); */
	/* static Panel_setting search_proc(); */
	/* static void pattern_search(); */
	extern int bug_report();
	extern int create_helpsw();
	/* static void help_done(); */
	/* static void bug_deliver(); */
	/* static int msgwrite(); */
	 
		/* id.c */
	extern int make_id_symbol();
	extern int put_text();
	extern int paint_bg();
	 
		/* image.c */
	extern int image_handler();
	extern int create_image_menu();
	extern void load_proc(); 
		/* extern int set_format(); */		/* removed */
	extern Panel_setting image_board_proc(); 
	extern int load_image();
		/* extern int display(); */		/* removed */
		/* extern int fread_image(); */		/* removed */
	extern int reverse_image();
	extern int copy_line();
	extern int save_proc();
	extern int save_image();
		/* extern int write_image(); */		/* removed */
		/* extern int print_proc(); */		/* removed */
	extern char ** get_imagename();
	extern int get_imagesize();
	extern int image_open();
	extern int size_ok();

		/* image2.c */
	extern int image_scale();
	extern int find_max();
	extern int ln_compute();
	extern int log_compute();
	extern int para_dialog();
	/* static Frame init_parabox(); */
	/* static int ok_cancel(); */
	/* static void set_scale_type(); */
	 
		/* init.c */
	extern int init_vars();
	extern int init_env();
	extern int create_base();
	/* static Notify_value main_destroy_interposer(); */
	extern int set_frame_label();
	extern int create_ttysw();
	extern int create_panel();
	/* static bghandler(); */
	extern int create_canvas();
	extern int create_menus();
	 
		/* myftp.c */
	extern int create_ftp_menu();
	extern int ftp_handler();
	extern void ftp_connect(); 
	/* static void ftp_discon(); */
		/* extern int get_image(); */		/* removed */
	/* static char * inc_fname(); */
	/* static void loop_start(); */
	extern void loop_stop(); 
	/* static Notify_value show_remote_image(); */
		/* static int display_image(); */	/* removed */
	/* static Frame option_box(); */
	/* static set_loop_option(); */
	/* static option_done(); */
	 
		/* option.c */
	extern int create_opt_menu();
	extern int opt_handler();
	extern int set_printer();
	extern int set_defaults();
	extern char *get_defaults(); /* changed */
	extern int put_defaults();
	extern char * get_defname(); 
	extern int name_resolution();
	/* static void set_reversed(); */
	/* static void set_darkbg(); */
	 
		/* palette.c */
	extern int init_cmsname();
	extern int create_pal_menu(); 
	extern void pal_proc(); 
	extern int pal_handler();
	extern Panel_setting pal_board_proc(); 
	extern int load_pal();
		/* extern int set_pal();     */		/* replaced */
		/* extern int get_palname(); */ 	/* removed */
	extern int undo_pal();
	extern int view_pal();
	extern int save_palette();
		/* extern int alter_image(); */		/* removed */
	extern int whiteout();
	extern int fiddle_proc();
	/* static Notify_value rotate_cmap(); */
	extern int transpose();
	 
		/* plot.c */
	extern int create_graph_menu();
	extern void plot_action(); 
	extern int plot_handler();
	extern int valid_xy();
	extern int valid_2d();
	extern int valid_3d();
	/* static Notify_value my_destroy_interposer(); */
	/* static Notify_value my_notice_interposer(); */
	extern int show_stats();
	/* static Frame create_stats(); */
	/* static void get_scaling(); */
	/* static void hide_stats(); */
	extern int create_plot_window();
	/* static void pcan_controller(); */
	/* static void draw_proc(); */
	/* static void done_plot(); */
	extern int plot_win_close();
	extern int plot_win_done();
	extern int erase_line();
	extern int erase_square();
	extern void clear_plot(); 
	extern int plot_proc();
	extern int plot_axes();
	extern void pwInit(); 
	extern void pwSetlinewidth(); 
	extern void pwText(); 
	extern void lw_text(); 
	extern void pwVector(); 
	extern void lw_line(); 
	/* static void dump_plot(); */
	extern int get_eqn();
	extern float get_gvalue(); 
	extern int process_gexp();
	extern int get_matrix();
	 
		/* plot1d.c */
	extern void plot_linear(); 
	 
		/* plot2d.c */
	extern void plot_twod(); 
	extern void contour(); 
	 
		/* plot3d.c */
	extern void plot_threed(); 
	extern int plot3d_init();
	extern void plot3d_cube(); 
	extern void plot3d(); 
	 
		/* wildcard.c */
	extern char ** wildcard(); 
	extern int gbrace();
	extern int gexpand();
	extern int gmatch();
	extern int addg();
	extern int gsort();
	 
		/* wingfx.c */
	extern void gfx_init(); 
	extern void hid_scale(); 
	extern void win_scale(); 
	extern void gfx_move(); 
	extern void gfx_vector(); 
	extern void gfx_line(); 
	extern void plot_line(); 
	extern int clip2d();
	/* static int clipt(); */
	 
		/* xform.c */
	extern void setvrp(); 
	extern void setxform(); 
	extern void xform(); 
	extern void zform(); 
	 
		/* zoom.c */
	extern int create_zoom_menu();
	extern void zoom_proc(); 
	extern int zoom_handler();
	extern int comm_exp();
	extern int pix_expand();
	extern int interp_image();
	extern int unexp_image();
	extern int get_factors();
	/* static Frame fact_box(); */
	/* static void fact_done(); */

/* ~~~~~~~~~~~~~~~~~~~~ 1.1 additions ~~~~~~~~~~~~~~~~~~~~ */

		/* main.c */
	extern int update_dir_board ();

		/* animation.c */
		/* extern int load2(); */	/* replace by load_single */
	extern int animate_proc();
	extern int animation();
	/* static Notify_value movie_frame(); */
	extern int load_movie_frame();
	extern struct pixrect * expand2(); 
	extern int pause_seq();
	extern int next_seq();
	extern int last_seq();
	extern int done_seq();
	extern int inc_speed();
	extern int dec_speed();
	extern int valid_ani();
	extern int invalid_ani();

		/* dialog.c */
	extern int dialog_event ();

		/* error.c */
	extern void msg2_stderr ();

		/* image.c */
	extern int update_image_board ();

		/* init.c */
	extern void create_msgsw ();
	extern void create_panel_menu ();

		/* new */
	extern int check_system ();
	extern int get_abspathname ();
	extern int strip_wspace ();
	extern void tty_write ();
	extern int word_count ();
	extern int window_corner ();

		/* option.c */
	extern int create_printer_menu ();
	extern int getname_printer ();
	extern caddr_t printer_proc ();
	extern Panel_setting defaults_proc ();
	extern int update_default_image ();
	extern int update_default_pal ();
	extern int update_default_help ();
	extern int create_def_box ();
	extern int def_ok_cancel ();

		/* palette.c */
	extern int check_palfn ();
	extern int check_pal ();
	extern int check_palette ();
	extern int color_help_win ();
	extern int color_path_win ();
	extern int color_dialog_win ();
	extern int color_def_win ();
	extern int int_same_colormap ();
	extern int update_pal_board ();

		/* pathname.c */
	extern int create_pathnamesw ();
	extern int display_pathnamesw ();
	extern void clear_pathnamesw ();
	extern void path_cancel_proc ();
	extern void path_return_proc ();

		/* stack.c */
	extern int stack_proc ();
	extern int store_image ();
	extern int put_table ();
	extern int store_in_mem ();
	extern int show_on_canvas ();
	extern int show_entryimage ();
	extern int flush_table ();
	extern int flush_call ();
	extern int delete_entry ();
	extern int valid_stack ();
	extern int invalid_stack ();
	extern int stack_event  ();
	extern caddr_t stack_request ();
	extern Menu stack_mark_menu ();
	extern int create_stack_panel ();

/* EOF */
