/*
******************************************************************************
*					           NCSA ImageTool 1.1 beta
*						   Thu Sep 20 16:58:25 CDT 1990
* 
* NCSA ImageTool 1.1 beta source code and documentation are in the public
* domain.
* Specifically, we give to the public domain all rights for future licensing
* of the source code, all resale rights, and all publishing rights.
* 
* We ask, but do not require, that the following message be included in all
* derived works:
* 
* Portions developed at the National Center for Supercomputing Applications at
* the University of Illinois at Urbana-Champaign.
* 
* THE UNIVERSITY OF ILLINOIS GIVES NO WARRANTY, EXPRESSED OR IMPLIED, FOR THE
* SOFTWARE AND/OR DOCUMENTATION PROVIDED, INCLUDING, WITHOUT LIMITATION,
* WARRANTY OF MERCHANTABILITY AND WARRANTY OF FITNESS FOR A PARTICULAR PURPOSE
* 
******************************************************************************
*/
/* cat > headers/extvar.h << "EOF" */
/* ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
/* ext.h: extern variable declarations for ImageTool	*/
/*	  1.1						*/
/* ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
/* SCCS information: %W%	%G% */

/* external variables */

	extern Pixwin *pw;

	extern Frame base;
	extern Frame help_window;
	extern Frame plot_window, scale_box;

	extern Panel menu_panel; 
	extern Panel panel;

	extern Panel_item Image, Palette, Edit, Zoom, Graph, Ftp, Help, Option;
	extern Panel_item image_board;
	extern Panel_item store_but,show_but,delete_but, flush_but;
	extern Panel_item pause_but,next_but,last_but,inc_but,dec_but;
	extern Panel_item dir_board, pal_board, var_board;
	extern Panel_item xdim_item, ydim_item;
	extern Panel_item image_item, pal_item, help_item;
	extern Panel_item roll_item, pitch_item, yaw_item;
	extern Panel_item title_item, level_item;

	extern Menu edit_menu;
	extern Menu help_menu;
	extern Menu image_menu;
	extern Menu ani_sub_menu, load_menu, save_menu;
	extern Menu pal_menu, zoom_menu, graph_menu;
	extern Menu ftp_menu, option_menu;

	extern Canvas pcanvas;
	extern Canvas canvas;

	extern Textsw textsw;

	extern Tty ttysw;

	extern int startx, starty;
	extern int clear_request, pos_picked;
	extern int square_drawn, line_drawn;
	extern int first_point, middle_button_down, first_middle_down, is_moving;
	extern int copy_request, paste_request;
	extern int color_edit_mode;
	extern int gminexp, gmaxexp, pintv, ntix;
	extern int linear_scaling, graph_mode;
	extern int last_dir, has_xscale, has_yscale;
	extern int color_index;
	extern int animation_go;
	extern int rev_image;
	extern int pause_request, nseq, repeat_index;
	extern int getloop_go;
	extern int dark_bg, main_quit;

	extern bool oblique;

	extern float stats_xmin, stats_xmax, stats_ymin, stats_ymax;
	extern float stats_gmin, stats_gmax;
	extern float last_xscale, last_yscale;
	extern float scalez;
	extern float pitch_angle, yaw_angle, roll_angle;

	extern double zform00, zform01, zform10, zform11;

	extern char msgstr[];
	extern char help_dir[];
		/* extern char curr_pal[]; */
	extern char saver_name[];
	extern char current_dir[], default_cdir[]; 
		/* extern char last_pal[], default_pal[]; */
	extern char printer[];
	extern char cmsname[];

	extern char **fn;
	
	extern struct line_rec line_rec;
	extern struct square_rec square;
	extern struct clipbd_type clipboard;
	extern struct image_rec curr_image;
	extern struct image_rec curr_movie;
	
/* ~~~~~~~~~~~~~~~~~~~~ 1.1 additions ~~~~~~~~~~~~~~~~~~~~ */

	extern Pixfont *font_panel_button, *font_panel, *font_menu;

	extern Frame path_frame;
	extern Frame def_box;

	extern Panel path_panel;
	extern Panel def_panel;
	extern Panel dialog_panel;

	extern Panel_item store_but_msg, show_but_msg, delete_but_msg;
	extern Panel_item path_return_but, path_cancel_but;
	extern Panel_item text_item;
	extern Panel_item save_toggle;

	extern Menu stack_menu, show_menu;
	extern Menu printer_menu;

	extern Textsw msgsw;

	extern char wkstr[], wkstr2[];

	extern struct pixrect *image[];
	extern struct image_rec var_table[];

/* EOF */
