/*
******************************************************************************
*					           NCSA ImageTool 1.1 beta
*						   Thu Sep 20 16:58:25 CDT 1990
* 
* NCSA ImageTool 1.1 beta source code and documentation are in the public
* domain.
* Specifically, we give to the public domain all rights for future licensing
* of the source code, all resale rights, and all publishing rights.
* 
* We ask, but do not require, that the following message be included in all
* derived works:
* 
* Portions developed at the National Center for Supercomputing Applications at
* the University of Illinois at Urbana-Champaign.
* 
* THE UNIVERSITY OF ILLINOIS GIVES NO WARRANTY, EXPRESSED OR IMPLIED, FOR THE
* SOFTWARE AND/OR DOCUMENTATION PROVIDED, INCLUDING, WITHOUT LIMITATION,
* WARRANTY OF MERCHANTABILITY AND WARRANTY OF FITNESS FOR A PARTICULAR PURPOSE
* 
******************************************************************************
*/
/* cat > headers/newext.h << "EOF" */
/* ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
/* newext.h: new externals for ImageTool 1.1		*/
/* ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
/* SCCS information: %W%	%G% */


#ifndef HEADER_NEWEXT		/* avoid reinclusion */
#define HEADER_NEWEXT

/* ---------------------- current ------------------------------ */

#define LUT		0
#define IMAGE           1
#define MAXSDSRANK      2
#define LUTSIZE		256
#define PALETTE_SIZE	768
#define XMAX_IMAGE	1400
#define YMAX_IMAGE	1000
	/* states of image to load */
#define SINGLE_IMAGE	0
#define ANIMATION	1
#define	FTP_SEQUENCE	2

	extern Frame entry_frame;
	extern Frame imagesave_box;
	extern Frame palsave_box;

	extern Panel entry_panel1, entry_panel2;
	extern Panel imagesave_panel;
	extern Panel palsave_panel;

	extern Panel_item entry_item1, entry_item2;
	extern Panel_item delete_but, delete_but_msg;
	extern Panel_item load_toggle, SDS_toggle;
	extern Panel_item imagesave_item, imagesave_toggle;
	extern Panel_item palsave_item, palsave_toggle;

	extern struct pal last_pal, curr_pal, default_pal;

	extern int loop_zoomed, flinear;

        extern unsigned char palette [];

	/* Don't need:
		Menu load_menu; */
		
		/* animation.c */
	extern int create_animation_panel ();
	extern int load_single ();

		/* image.c */
	extern int load_proc2 ();
	extern int check_image ();
	extern int check_imgfn ();
	extern void pad_image ();
	extern int load_RAWI ();
	extern int load_RIS8 ();
	extern int load_SDS2D ();
	extern int create_imagesave_box ();
	extern int imagesave_ok_cancel ();
	extern int put_imagesize ();

		/* myftp.c */
	/* static void set_timer (); */
	/* static void stop_timer (): */

		/* new */
	extern char *first_word ();
	extern int pixrect_pad ();
	extern int free_list ();
	extern int check_filetype ();

		/* option.c */
	extern int skip_to_newline ();
	extern int get_printer_field ();
	extern Menu option_mark_menu ();

		/* palette.c */
	extern int color_entry_win ();
	extern void color_win ();
	extern int set_palRAW ();
	extern int set_palHDF ();
	extern int check_prev_palfn ();
	extern int check_prev_pal ();
	extern int check_palette_RIS8 ();
	extern int create_palsave_box ();
	extern int palsave_ok_cancel ();
	extern int reset_pal ();

		/* myftp.c */
	/* static void set_timer (); */
	/* static void stop_timer (): */

		/* new */
	extern char *first_word ();
	extern int pixrect_pad ();

		/* option.c */
	extern int skip_to_newline ();
	extern int get_printer_field ();
	extern Menu option_mark_menu ();

		/* palette.c */
	extern int color_entry_win ();
	extern void color_win ();
	extern int set_palRAW ();
	extern int set_palHDF ();
	extern int check_prev_palfn ();
	extern int check_prev_pal ();
	extern int check_palette_RIS8 ();

		/* stack.c */
	extern int create_entrysw ();
	extern int display_entrysw ();
	extern int entry_proc ();
	extern int set_entry ();

#endif	/* HEADER_NEWEXT */
/* EOF */
