/*
******************************************************************************
*					           NCSA ImageTool 1.1 beta
*						   Thu Sep 20 16:58:25 CDT 1990
* 
* NCSA ImageTool 1.1 beta source code and documentation are in the public
* domain.
* Specifically, we give to the public domain all rights for future licensing
* of the source code, all resale rights, and all publishing rights.
* 
* We ask, but do not require, that the following message be included in all
* derived works:
* 
* Portions developed at the National Center for Supercomputing Applications at
* the University of Illinois at Urbana-Champaign.
* 
* THE UNIVERSITY OF ILLINOIS GIVES NO WARRANTY, EXPRESSED OR IMPLIED, FOR THE
* SOFTWARE AND/OR DOCUMENTATION PROVIDED, INCLUDING, WITHOUT LIMITATION,
* WARRANTY OF MERCHANTABILITY AND WARRANTY OF FITNESS FOR A PARTICULAR PURPOSE
* 
******************************************************************************
*/
/* cat > headers/struct.h << "EOF" */
/* ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
/* struct.h: structure declarations for CompositeTool	*/
/* ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
/* SCCS information: %W%	%G% */

	typedef int Flag;

		/* record type for current image */
	struct image_rec
	{
			/* image information */
		char img_name[MAXNAMELEN];	/* image file name */ 
		char pal_name[MAXNAMELEN];	/* palette name */ 

			/* 1.1 additions - begin */
		enum img_type itype;		/* type - 0 always means raw */
		int img_num;			/* number of image_type if in HDF file - 0 means raw image */
		enum pal_type ptype;		/* type - 0 always means raw */
		int pal_num;			/* number of palette if in HDF file - 0 means raw palette */
			/* 1.1 additions - end */

		int startx, starty;		/* upper left corner of current image */
		int org_xdim, org_ydim;		/* original image sizes (x and y) */
		int xdim, ydim;			/* current sizes after expansion */
		int nth_image;			/* order in a sequence (animation) */
		struct pixrect *image;		/* pointer to image memory */ 

			/* 1.1 additions - begin */
		unsigned char *red, *green, *blue;	/* pointers to RGB color maps */ 
			/* 1.1 additions - end */

			/* expansion information */
		Flag expanded;			/* indication of image expansion */
		int zoomx, zoomy;		/* expansion factor in x and y dir */
	
			/* scaling info */
		float xmin, xmax, ymin, ymax;	/* scales in x, y dir */ 
		float gmin, gmax;
		float xscale, yscale;
	
			/* other flags */
		Flag in_use;			/* 0: record unused; 1: record in use */
		Flag cutout;			/* is cutout image */
	};
	
	struct square_rec
	{
		int startx, starty;
		int endx, endy;
	};
	
	struct line_rec
	{
		int x1, y1;
		int x2, y2;
	};
	
	struct clipbd_type
	{
		struct pixrect *pr;
		int xdim, ydim;
	};
	
		/* dummy for file name expansion list */
	struct argnod
	{
		struct argnod	*argnxt;
		char   argval[1];
	};

/* ~~~~~~~~~~~~~~~~~~~~ 1.1 additions ~~~~~~~~~~~~~~~~~~~~ */

	typedef int (*PFUNC) ();

	struct pal
	{
		char fn[MAXNAMELEN];	/* filename */
		enum pal_type type;	/* file type of palette */
		int num;		/* number of palette */
	};
/* EOF */
